flink-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "ASF GitHub Bot (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (FLINK-9110) Building docs with Ruby 2.5 fails if bundler is not globally installed
Date Wed, 04 Apr 2018 15:52:00 GMT

    [ https://issues.apache.org/jira/browse/FLINK-9110?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=16425753#comment-16425753
] 

ASF GitHub Bot commented on FLINK-9110:
---------------------------------------

Github user twalthr commented on the issue:

    https://github.com/apache/flink/pull/5788
  
    Thank you @NicoK. I tested it locally on MacOS. The changes look good.


> Building docs with Ruby 2.5 fails if bundler is not globally installed
> ----------------------------------------------------------------------
>
>                 Key: FLINK-9110
>                 URL: https://issues.apache.org/jira/browse/FLINK-9110
>             Project: Flink
>          Issue Type: Bug
>          Components: Documentation
>    Affects Versions: 1.5.0, 1.6.0
>            Reporter: Nico Kruber
>            Assignee: Nico Kruber
>            Priority: Blocker
>             Fix For: 1.5.0
>
>
> If {{bundler}} is not installed, {{build_docs.sh}} attempts to install it locally but
updating the {{$PATH}} environment variable is broken at least in my setup with ruby 2.5 because
of this command failing:
> {code}
> > ruby -rubygems -e 'puts Gem.user_dir'
> Traceback (most recent call last):
>         1: from /usr/lib64/ruby/2.5.0/rubygems/core_ext/kernel_require.rb:59:in `require'
> /usr/lib64/ruby/2.5.0/rubygems/core_ext/kernel_require.rb:59:in `require': cannot load
such file -- ubygems (LoadError)
> > ruby -e 'puts Gem.user_dir'
> /home/nico/.gem/ruby/2.5.0
> {code}
> Additionally, the {{bundle}} binary is not even in that path::
> {code}
> > find ~/.gem/ruby/2.*/bin
> /home/nico/.gem/ruby/2.4.0/bin
> /home/nico/.gem/ruby/2.4.0/bin/bundle.ruby2.4
> /home/nico/.gem/ruby/2.4.0/bin/bundler.ruby2.4
> /home/nico/.gem/ruby/2.5.0/bin
> /home/nico/.gem/ruby/2.5.0/bin/bundle.ruby2.5
> /home/nico/.gem/ruby/2.5.0/bin/bundler.ruby2.5
> {code}
> but indeed here:
> {code}
> > ls ~/.gem/ruby/2.*/gems/bundler-*/exe/bundle
> /home/nico/.gem/ruby/2.4.0/gems/bundler-1.15.3/exe/bundle
> /home/nico/.gem/ruby/2.5.0/gems/bundler-1.16.1/exe/bundle
> {code}



--
This message was sent by Atlassian JIRA
(v7.6.3#76005)

Mime
View raw message